[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Sources needed by default?



On Monday 30 January 2006 11:36, Daniel Andrade wrote:
> Yes Steve, I'm using it... still asking for the sources..... :(

http://bugs.debian.org/320205 has a patch that will allow you to suppress
checks and use of source packages.

I recently found an additional little change is needed in build.sh:
@@ -22,7 +22,9 @@
 else
     echo " ... checking your mirror"
     make mirrorcheck-binary
-    make mirrorcheck-source
+    if [ -z "$NOSOURCE" ]; then
+            make mirrorcheck-source
+    fi
     if [ $? -gt 0 ]; then
            echo "ERROR: Your mirror has a problem, please correct it." >&2
            exit 1

Steve: care to apply that patch plus the fragment above?

Hmm. Looking at this code there seems to be an error (present in the
original code as well): two targets are run, but only the exit code of
the 2nd one is checked!

Probably something like this is needed:
@@ -22,8 +22,13 @@
 else
     echo " ... checking your mirror"
     make mirrorcheck-binary
-    make mirrorcheck-source
-    if [ $? -gt 0 ]; then
+    RET_BIN=$?
+    RET_SRC=0
+    if [ -z "$NOSOURCE" ]; then
+            make mirrorcheck-source
+            RET_SRC=$?
+    fi
+    if [ $RET_BIN -ne 0 ] || [ $RET_SRC -ne 0 ] ; then
            echo "ERROR: Your mirror has a problem, please correct it." >&2
            exit 1
     fi

Alternatively separate error messages could be printed.

Attachment: pgpcf5eVpQfs9.pgp
Description: PGP signature


Reply to: